<p align="center">
   <a href="https://github.com/jbesomi/texthero/stargazers">
    <img src="https://img.shields.io/github/stars/jbesomi/texthero.svg?colorA=orange&colorB=orange&logo=github"
         alt="GitHub stars">
   </a>
   <a href="https://pypi.org/search/?q=texthero">
      <img src="https://img.shields.io/pypi/v/texthero.svg?colorB=brightgreen"
           alt="Pypi package">
   </a>
   <a href="https://pypi.org/project/texthero/">
      <img alt="PyPI - Downloads" src="https://img.shields.io/pypi/dm/texthero">
   </a>
   <a href="https://github.com/jbesomi/texthero/issues">
        <img src="https://img.shields.io/github/issues/jbesomi/texthero.svg"
             alt="GitHub issues">
   </a>
   <a href="https://github.com/jbesomi/texthero/blob/master/LICENSE">
        <img src="https://img.shields.io/github/license/jbesomi/texthero.svg"
             alt="GitHub license">
   </a>   
</p>

<p align="center">
    <img src=".github/logo_v1.0.png">
</p>

<p align="center">Text preprocessing, analysis and visualization from zero to hero</p>

<p align="center">
    <img src=".github/demo.gif?raw=true" width="700">
</p>

<p align="center">
  <a href="#zero-to-hero">From zero to hero</a> •
  <a href="#installation">Installation</a> •
  <a href="#getting-started">Getting Started</a> •
  <a href="#documentation">Documentation</a> •
  <a href="#contributions">Contributions</a>
</p>


<h2 align="center">From zero to hero</h2>

Texthero is a python toolkit for quick handling of text data. Texthero is concise, simple to learn and integrates smoothly with Pandas.

Given a Pandas DataFrame with one or more _text_ columns, texthero help to preprocess the text data, map it into vectors using different algorithms and models and visualize it on screen.



<h2 align="center">Installation</h2>

```bash
pip install texthero
```

<h2 align="center">Getting started</h2>

<h2 align="center">Documentation</h2>

Texthero main objective is to provide a quick solution for handling text data. For this reason, we believe the documentation must be kept very simple and intuitive.

Texthero is split into three main files

- preprocessing.py

- representation.py

- visualization.py

<h2 align="center">Contributions</h2>

Any help, feedback and contribution is very appreciated. Texthero is in beta version and therefore any help is very appreciated, just [open an issue](issues)
